For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet email senders
      • POSTCreate email sender
      • PUTUpdate a sender
      • DELDelete a sender
      • PUTValidate a sender using OTP
      • GETGet all the dedicated IPs for your account
      • GETGet all the dedicated IPs for a specific sender
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsSenders

Validate a sender using OTP

PUT
https://api.brevo.com/v3/senders/:senderId/validate
PUT
/v3/senders/:senderId/validate
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.senders.validateSenderByOtp(1, {
8 otp: 123456,
9 });
10}
11main();
Validates a sender using the OTP (One-Time Password) received via email. Use this to: - Complete sender verification process - Activate a newly created sender - Verify ownership of the sender email address - Enable the sender for use in email campaigns Key information returned: - Success confirmation of sender verification - Sender activation status
Was this page helpful?
Previous

Get all the dedicated IPs for your account

Next
Built with

Validates a sender using the OTP (One-Time Password) received via email.

Use this to:

  • Complete sender verification process
  • Activate a newly created sender
  • Verify ownership of the sender email address
  • Enable the sender for use in email campaigns

Key information returned:

  • Success confirmation of sender verification
  • Sender activation status

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

senderIdlongRequired
Id of the sender

Request

OTP verification code
otpintegerRequired100000-999999
6 digit OTP received on email

Response

Sender verified successfully

Errors

400
Bad Request Error
404
Not Found Error